# IRC Helper Plugin for Gaim
#
# Copyright (C) 2005, Richard Laager <rlaager@users.sf.net>
# Copyright (C) 2005, Chris Weyl <cweyl@alumni.drew.edu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

Summary:    Gaim plugin to assist with IRC networks
Name:       gaim-irchelper
Version:    0.12 
Release:    0
License:    GPL
Group:      Applications/Internet
URL:        http://%{name}.sf.net
Source0:    http://prdownloads.sourceforge.net/gaim-irchelper/%{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pkgconfig, glib2-devel, gaim-devel
Requires: gaim >= 1:1.2.0, gaim < 1:2.0.0

%define gaim_plugindir %{buildroot}/$(pkg-config --variable=libdir gaim)/gaim

%description
IRC Helper is a plugin for Gaim which seeks to handle the rough 
edges of the IRC protocol through network-specific code.


%prep
%setup -q 
%{__rm} -rf %{buildroot}


%build
%{__make} prefix=%{buildroot}%{_prefix} bindir=%{buildroot}%{_bindir} \
     datadir=%{buildroot}%{_datadir} includedir=%{buildroot}%{_includedir} \
     libdir=%{buildroot}%{_libdir} mandir=%{buildroot}%{_mandir} \
     sysconfdir=%{buildroot}%{_sysconfdir} all


%install
%makeinstall PLUGINDIR=%{gaim_plugindir}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/gaim/*


%changelog
* Sun Jul  3 2005 Richard Laager <rlaager@users.sf.net> 0.12-0
- Minor cleanups
* Sun Jul  3 2005 Chris Weyl <cweyl@alumni.drew.edu> 0.11-0
- first spec build

